Delete an analysis
DELETE
/v1/analysis
const url = 'https://api.neuramancer.dev/v1/analysis';const options = { method: 'DELETE', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"id":"example","tenantName":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.neuramancer.dev/v1/analysis \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "tenantName": "example" }'Soft-deletes an analysis by id, scoped to the specified tenant. Requires authentication.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
Analysis id (ObjectId string)
string
tenantName
required
Tenant name to scope the deletion
string
Examplegenerated
{ "id": "example", "tenantName": "example"}Responses
Section titled “Responses”Deleted successfully
Media typeapplication/json
object
success
boolean
Example
{ "success": true}Missing id or invalid request
Media typeapplication/json
Standardized error response following the APIResponse
object
success
required
boolean
message
required
string
Example
{ "success": false, "message": "Bad request"}Analysis not found or deletion failed
Media typeapplication/json
Standardized error response following the APIResponse
object
success
required
boolean
message
required
string
Example
{ "success": false, "message": "Bad request"}